Subject: Setup problem

From: "Benny HU" <[email-masked]>
Date: Tue, 15 Jun 1999 18:40:56 +1000

Hi,

When I use a guest account to login, I can list all the files but without
owner and group displayed on each files. I have the group file in the etc
directory which located in the chroot directory that I defined. When I log
on as a real user, I have all the files attributes displayed correctly. What
have I missed?

I have created a symbolic link file to a NFS type directory in the guest
account.

E.g ftp => /mnt/ftpsite which /mnt/ftpsite is network drive site on other
server.

When I tried to cd ftp as a guest account, it come up with "No such file or
directory" but I don't have the problem when I log on as real user. Please
point me to the right path.

Thanks in Advance for your help!

Benny
-
e-mail: [email-masked]

---

From: Gregory A Lundberg <[email-masked]>
Date: Tue, 15 Jun 1999 05:05:55 -0400 (EDT)

On Tue, 15 Jun 1999, Benny HU wrote:

> When I use a guest account to login, I can list all the files but
> without owner and group displayed on each files. I have the group file
> in the etc directory which located in the chroot directory that I
> defined. When I log on as a real user, I have all the files attributes
> displayed correctly. What have I missed?
> 
> I have created a symbolic link file to a NFS type directory in the
> guest account.
> 
> E.g ftp => /mnt/ftpsite which /mnt/ftpsite is network drive site on
> other server.
> 
> When I tried to cd ftp as a guest account, it come up with "No such
> file or directory" but I don't have the problem when I log on as real
> user. Please point me to the right path.

RTFFAQ.  Symlinks do *NOT* work for guest or anonymous users.

The location of the latest version of wu-ftpd can be found in the 
directory
 
      ftp://ftp.wu-ftpd.org/pub/wu-ftpd/
 
wu-ftpd Resource Center:  http://www.landfield.com/wu-ftpd/
wu-ftpd FAQ:              http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
wu-ftpd list archive:     http://www.landfield.com/wu-ftpd/mail-archive/

-- 

Gregory A Lundberg              Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195